#ifndef __DATA_H__

#define __DATA_H__
#define __CS156B_PROJ1_DATA_H__

#include <stdlib.h>
#include "types/types.h"

typedef REAL *RVEC;
typedef BINARY *BVEC;

#ifdef __cplusplus
extern "C" {
#endif

void rv_print (RVEC rv, size_t n);
size_t rm_read (FILE *f, RVEC *rm, size_t m, size_t n);
size_t rm_write (FILE *f, RVEC *rm, size_t m, size_t n);

#ifdef __cplusplus
}
#endif

#else /* def __DATA_H__ */

#ifndef __CS156B_PROJ1_DATA_H__
#error This header file conflicts with another "data.h" file.
#endif

#endif
