#include <assert.h>
#include <ctype.h>
#include <stdio.h>
#include "object.h"

void Object::ignore_comment (FILE *f)
{
    int c;
    assert(f != NULL);
    assert(isspace('\n') && !isspace(EOF));

    while (1) {
        do {
            c = fgetc(f);
        } while (isspace(c));   /* \n is space, EOF is not */

        if (c == EOF) return;
        if (c != '#') break;

        do {
            c = fgetc(f);
        } while (c != '\n' && c != EOF);
    }
    ungetc(c, f);
}
