#ifndef __OBJECT_H__
#define __OBJECT_H__
#define __COMMON_TYPES_OBJECT_H__

#include <stdio.h>
#include "types.h"

class Object
{
 private:
    static const char name_version[] = "Object 11/02/2001";

 protected:
    static void ignore_comment (FILE *f);

 public:
    Object ()           {}
    Object (Object &lm) {}
    virtual ~Object ()  {}
    virtual const char* version () { return name_version; }

    virtual BOOL save_model (FILE *f) = 0;
    virtual BOOL load_model (FILE *f) = 0;
    virtual Object* copy () = 0;
};

#else /* def __OBJECT_H__ */

#ifndef __COMMON_TYPES_OBJECT_H__
#error This header file conflicts with another "object.h" file.
#endif

#endif
