#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "random.h"

void set_seed (unsigned int seed)
{
    if (seed == 0 || seed > RAND_MAX) {
        /* use time() to set the seed */
        time_t t = time(NULL);
        assert(t > 0);
        seed = t;
    }
    fprintf(stderr, "random seed = %u\n", seed);
    srand(seed);
}
